<?php

namespace Psycho\Kittensftw\Domain\Model;

/***
 * This file is part of the "Kittens" Extension for TYPO3 CMS.
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *  (c) 2018
 ***/

/**
 * Kitten
 */
class Kitten extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * cuteness
     *
     * @var string
     */
    protected $cuteness = '';

    /**
     * name
     *
     * @var string
     */
    protected $name = '';

    /**
     * Returns the cuteness
     *
     * @return string $cuteness
     */
    public function getCuteness()
    {
        return $this->cuteness;
    }

    /**
     * Sets the cuteness
     *
     * @param string $cuteness
     * @return void
     */
    public function setCuteness($cuteness)
    {
        $this->cuteness = $cuteness;
    }

    /**
     * Returns the name
     *
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * categories
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\Category>
     */
    protected $categories;

    /**
     * Get categories
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\Category>
     */
    public function getCategories()
    {
        return $this->categories;
    }

    /**
     * Set categories
     *
     * @param  \TYPO3\CMS\Extbase\Persistence\ObjectStorage $categories
     * @return void
     */
    public function setCategories($categories)
    {
        $this->categories = $categories;
    }
}
