<?php
namespace Psycho\Kittensftw\Tests\Unit\Controller;

/**
 * Test case.
 */
class KittenControllerTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
    /**
     * @var \Psycho\Kittensftw\Controller\KittenController
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = $this->getMockBuilder(\Psycho\Kittensftw\Controller\KittenController::class)
            ->setMethods(['redirect', 'forward', 'addFlashMessage'])
            ->disableOriginalConstructor()
            ->getMock();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function listActionFetchesAllKittensFromRepositoryAndAssignsThemToView()
    {

        $allKittens = $this->getMockBuilder(\TYPO3\CMS\Extbase\Persistence\ObjectStorage::class)
            ->disableOriginalConstructor()
            ->getMock();

        $kittenRepository = $this->getMockBuilder(\Psycho\Kittensftw\Domain\Repository\KittenRepository::class)
            ->setMethods(['findAll'])
            ->disableOriginalConstructor()
            ->getMock();
        $kittenRepository->expects(self::once())->method('findAll')->will(self::returnValue($allKittens));
        $this->inject($this->subject, 'kittenRepository', $kittenRepository);

        $view = $this->getMockBuilder(\TYPO3\CMS\Extbase\Mvc\View\ViewInterface::class)->getMock();
        $view->expects(self::once())->method('assign')->with('kittens', $allKittens);
        $this->inject($this->subject, 'view', $view);

        $this->subject->listAction();
    }

    /**
     * @test
     */
    public function showActionAssignsTheGivenKittenToView()
    {
        $kitten = new \Psycho\Kittensftw\Domain\Model\Kitten();

        $view = $this->getMockBuilder(\TYPO3\CMS\Extbase\Mvc\View\ViewInterface::class)->getMock();
        $this->inject($this->subject, 'view', $view);
        $view->expects(self::once())->method('assign')->with('kitten', $kitten);

        $this->subject->showAction($kitten);
    }
}
